summaryrefslogtreecommitdiff
path: root/debian/nova-api.postinst.in
diff options
context:
space:
mode:
Diffstat (limited to 'debian/nova-api.postinst.in')
-rw-r--r--debian/nova-api.postinst.in21
1 files changed, 21 insertions, 0 deletions
diff --git a/debian/nova-api.postinst.in b/debian/nova-api.postinst.in
new file mode 100644
index 0000000..fb0adcb
--- /dev/null
+++ b/debian/nova-api.postinst.in
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+#PKGOS-INCLUDE#
+
+if [ "$1" = "configure" ] ; then
+ . /usr/share/debconf/confmodule
+ pkgos_register_endpoint_postinst nova nova compute "Nova Compute Service" 8774 /v2/'%(tenant_id)s'
+
+ db_get nova/active-api
+ if [ -n "${RET}" ] ; then
+ NOVA_APIS=`echo ${RET} | sed "s/ //g"`
+ pkgos_inifile set /etc/nova/nova.conf DEFAULT enabled_apis ${NOVA_APIS}
+ fi
+ db_stop
+fi
+
+#DEBHELPER#
+
+exit 0